define(["require", "exports", "../../constants", "./activity"], function (require, exports, constants_1, activity_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Describes a BPMN ServiceTask.
     * A ServiceTask is used to call either a function from a specific class,
     * or for performing web requests.
     */
    class ServiceTask extends activity_1.Activity {
        get bpmnType() {
            return constants_1.BpmnType.serviceTask;
        }
    }
    exports.ServiceTask = ServiceTask;
    /**
     * Describes all currently supported ServiceTask types.
     */
    var ServiceTaskType;
    (function (ServiceTaskType) {
        ServiceTaskType["external"] = "external";
        ServiceTaskType["internal"] = "internal";
    })(ServiceTaskType = exports.ServiceTaskType || (exports.ServiceTaskType = {}));
});
//# sourceMappingURL=service_task.js.map