"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
const activity_1 = require("./activity");
/**
 * Describes a BPMN ReceiveTask.
 *
 * A ReceiveTask is basically the opposite of a SendTask.
 * It will block the Process Execution, until an expected Message is
 * received.
 *
 * In contrast to an IntermediateCatchEvent, a ReceiveTask will
 * throw back a confirmation Message that the ReceiveTask received the
 * defined message.
 * Therefore, a ReceiveTask will only accept messages, that where send by
 * a SendTask.
 */
class ReceiveTask extends activity_1.Activity {
    get bpmnType() {
        return constants_1.BpmnType.receiveTask;
    }
}
exports.ReceiveTask = ReceiveTask;
//# sourceMappingURL=receive_task.js.map