"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const constants_1 = require("../../constants");
const activity_1 = require("./activity");
/**
 * Describes a BPMN Subprocess.
 *
 * Technically they work like normal processes, except that they exist only
 * within another process and are treated like an activity for that process.
 */
class SubProcess extends activity_1.Activity {
    constructor() {
        super(...arguments);
        this.flowNodes = [];
        this.sequenceFlows = [];
    }
    get bpmnType() {
        return constants_1.BpmnType.subProcess;
    }
}
exports.SubProcess = SubProcess;
//# sourceMappingURL=sub_process.js.map